# libqalculate/Calculator.h File Reference

`#include <libqalculate/includes.h>`
`#include <libqalculate/util.h>`
`#include <pthread.h>`
`#include <libqalculate/MathStructure.h>`

## Classes

struct | PlotParameters
| Parameters passed to plotting functions. More...
struct | PlotDataParameters
| Parameters for plot data series. More...
class | CalculatorMessage
| A message with information to the user. Primarily used for errors and warnings. More...
struct | Element
class | Calculator
| The almighty calculator class. More...

## Defines

#define | UFV_LENGTHS 20

## Typedefs

typedef vector< Prefix * > | p_type

## Enumerations

enum | MessageType { MESSAGE_INFORMATION, MESSAGE_WARNING, MESSAGE_ERROR }
| Message types.
enum | { ELEMENT_CLASS_NOT_DEFINED, ALKALI_METALS, ALKALI_EARTH_METALS, LANTHANIDES, ACTINIDES, TRANSITION_METALS, METALS, METALLOIDS, NONMETALS, HALOGENS, NOBLE_GASES, TRANSACTINIDES }

## Detailed Description